Web Hosting Forum | Lunarpages

Author Topic: .php missing from cpanel? (on Horta)  (Read 865 times)

Offline crmcty0

  • Space Explorer
  • ***
  • Posts: 6
.php missing from cpanel? (on Horta)
« on: March 12, 2017, 09:43:16 AM »
Hi; Our website on Horta has been pretty stable for the past year so I have had little reason to log in to cPanel.  However about a day ago none our our .php scripts (including index.php!) would run (500 errors). I checked cPanel (a new version, I see) and it no longer has any references to .php in the Software section. I've submitted a ticket, but have not seen any progress/response on this matter for over 24 hours.  Do any of you know what might be going on here? Does .php still appear in your cPanel/Software section for your sites?

Offline MrPhil

  • Senior Moderator
  • Berserker Poster
  • *****
  • Posts: 6231
Re: .php missing from cpanel? (on Horta)
« Reply #1 on: March 12, 2017, 11:31:11 AM »
I don't see any reference to PHP on my server, but I don't recall anything like that for quite a while, since the days when you could select which PHP version to use. Anyway, you might look in your .htaccess file (if Apache server) and see if you have anything that specifies a particular PHP version to use (AddHandler, etc.). Try commenting it out and just using the default PHP (probably 5.6 now). Is there anything else redirecting .php files to something else? The following .php script:
Code: [Select]
<?php phpinfo(); ?>will tell you what version you're running (if PHP is running by that point).

If you need to go back to an earlier PHP version, you'll have to talk to support about that -- maybe they'll move you to a server which hasn't been upgraded yet. It would be better to upgrade your software to work with PHP 5.6 (and 7.0 will be coming before too long).

Oh, by the way, a 500 error can indicate something other than a PHP problem. You may have something invalid in your .htaccess or php.ini file, such as phpflag, phpvalue, or options commands. Recent server upgrades may have caused some of those obsolete (or insecure) commands to now cause a 500 error.
Visit My Site

E-mail Me
  
-= From the ashes shall rise a sooty tern =-

 

Share |